Server dell’applicazione

I livelli di accesso al database richiesti devono essere installati sul server e accessibili dall’account Adobe Campaign.

Kit di sviluppo Java - JDK

Il generatore dinamico di pagine web utilizza la tecnologia JSP 1.2. Per questo, un motore Tomcat (da Apache) è incluso nell'applicazione. Richiede un Java Development Kit (JDK), installato su tutti i server in cui è installata l'applicazione Adobe Campaign.

È innanzitutto necessario installare un JDK nei computer in cui si desidera eseguire il server dell'applicazione Adobe Campaign (nlserver web processo) perché incorpora un contenitore servlet, Apache Tomcat, utilizzato per generare pagine Web dinamiche (report, moduli web, ecc.).

L'applicazione è stata approvata per Java Development Kit (JDK) sviluppato da Oracle e per OpenJDK.

Le versioni supportate sono descritte in dettaglio in Campaign Matrice di compatibilità.

NOTA

Può essere installato utilizzando la versione JDK appropriata già utilizzata da altre applicazioni sul computer.

Durante l'installazione, non è necessario eseguire l'integrazione con i browser Web.

Su un computer che esegue solo agenti di consegna (nlserver mta processo) o sul server del flusso di lavoro (nlserver wfserver processo), l'installazione di un JDK non è necessaria.

Per scaricare Java JDK, connettiti a: https://www.oracle.com/technetwork/java/javase/downloads/index.html.

Avviso: devi scaricare un JDK, non un JRE.

ATTENZIONE

Per mantenere le prestazioni del funzionamento della piattaforma e garantire la compatibilità con la versione installata, è necessario disabilitare le funzioni di aggiornamento automatico JDK in Windows e Linux.

Per installare JDSL in un ambiente Linux, è preferibile utilizzare un gestore di pacchetti.

In Debian 8 e 9, utilizza il seguente comando:

aptitude install openjdk-8-jdk

Per RHEL 7, utilizzare il seguente comando:

yum install java-1.8.0-openjdk

OpenSSL

In Linux, OpenSSL deve essere installato. Le versioni supportate da Adobe Campaign sono OpenSSL 1.0.1 e OpenSSL 0.9.8. Sono accettate le sottoversioni da 0.9.8g a 0.9.8o.

Esportazione dei rapporti

Adobe Campaign consente di esportare i rapporti delle piattaforme in formato Microsoft Excel e Adobe PDF. Per il formato Microsoft Excel, Adobe Campaign utilizza LibreOffice. Per il formato Adobe PDF, Adobe Campaign utilizza il convertitore PhantomJS. PhantomJs è incluso nel pacchetto di fabbrica e LibreOffice deve essere installato sui computer sui quali viene eseguito il server applicazioni Adobe Campaign (nlserver web processo).

NOTA

Per Linux, sarà necessario aggiungere font. Per ulteriori informazioni, consulta Font per statistiche MTA.

SpamAssassin

SpamAssassin consente di assegnare un punteggio alle e-mail per determinare se un messaggio rischia di essere considerato indesiderabile dagli strumenti anti-spam utilizzati alla ricezione. L'installazione è facoltativa.

La qualifica delle e-mail come indesiderabile da SpamAssassin si basa interamente su regole di filtraggio e punteggio. Queste regole devono quindi essere aggiornate almeno una volta al giorno affinché l’installazione di SpamAssassin e la sua integrazione in Adobe Campaign siano pienamente funzionanti e garantiscano la pertinenza dei punteggi assegnati alle consegne prima dell’invio. Questo aggiornamento è responsabilità dell'amministratore del server che ospita SpamAssassin.

La versione minima supportata è: 3.4

SpamAssassin richiede un accesso a Internet HTTP (tcp/80).

Le fasi di installazione e configurazione per SpamAssassin sono presentate in Configurazione di SpamAssassin.

In questa pagina